Package org.apache.lucene.monitor

# Class QueryDecomposer

java.lang.Object
org.apache.lucene.monitor.QueryDecomposer

public class QueryDecomposer extends Object
Split a disjunction query into its consituent parts, so that they can be indexed and run separately in the Monitor.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryDecomposer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Query>`
  `decompose(Query q)`
  Split a query up into individual parts that can be indexed and run separately
  `Set<Query>`
  `decomposeBoolean(BooleanQuery q)`
  Decompose a `BooleanQuery`
  `Set<Query>`
  `decomposeBoostQuery(BoostQuery q)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QueryDecomposer

    public QueryDecomposer()

- ## Method Details

  - ### decompose

    public Set<Query> decompose(Query q)
    Split a query up into individual parts that can be indexed and run separately
    Parameters:
      `q` - the query
    Returns:
      a collection of subqueries

  - ### decomposeBoostQuery

    public Set<Query> decomposeBoostQuery(BoostQuery q)

  - ### decomposeBoolean

    public Set<Query> decomposeBoolean(BooleanQuery q)
    Decompose a `BooleanQuery`
    Parameters:
      `q` - the boolean query
    Returns:
      a collection of subqueries